Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001124 [DCSS] Bug Report minor always 2010-03-20 00:25 2015-12-24 21:43
Reporter rob View Status public  
Assigned To wheals
Priority normal Resolution done  
Status resolved   Product Branch 0.6 ancient branch
Summary 0001124: dungeon.cc:_change_labyrinth_border is broken
Description It replaces parts of many minotaur vaults. This is particularly apparent now that the outer wall is permarock.

The used algorithm could be improved if it checked for non-wall instead of floor (would help with traps, water, other features). But really, the whole approach of checking for 9x9 clumps of wall to detect border is not reliable.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0029786)
Reaver (developer)
2015-11-14 04:39

The function mentioned here no longer exists and nothing like this bug has been reported in recent times.
(0029794)
wheals (administrator)
2015-11-15 02:16

This is what it means: labyrinth_mini_lab ends up looking this:
#############
......#....<#
#####.#.###.#
#.....#.#.#.#
#.#.###.#.#.#
#.......#.#.#
#.#######.#.#
#.#.......#.#
#.#######.H.#
#....#..#.#.#
#.?????.#.#.#
##?   ?.#.#.#
##?????######

(Note the ?, which is permarock, even though the vault places none. The broken function (now in dgn-labyrinth.cc) thinks it's part of the border, when it isn't.)
(0030079)
wheals (administrator)
2015-12-24 21:43

Fixed in https://github.com/crawl/crawl/commit/164820426c99. [^]

- Issue History
Date Modified Username Field Change
2010-03-20 00:25 rob New Issue
2015-11-14 04:39 Reaver Note Added: 0029786
2015-11-14 04:39 Reaver Status new => resolved
2015-11-14 04:39 Reaver Fixed in Branch => 0.18 development branch
2015-11-14 04:39 Reaver Resolution open => no change required
2015-11-14 04:39 Reaver Assigned To => Reaver
2015-11-15 02:16 wheals Assigned To Reaver => wheals
2015-11-15 02:16 wheals Note Added: 0029794
2015-11-15 02:16 wheals Status resolved => new
2015-11-15 02:16 wheals Resolution no change required => reopened
2015-12-24 21:00 wheals Status new => assigned
2015-12-24 21:43 wheals Note Added: 0030079
2015-12-24 21:43 wheals Status assigned => resolved
2015-12-24 21:43 wheals Resolution reopened => done


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker